﻿@model ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua

@*@{
        ViewBag.Title = "NhatKyVanHanhVaSuaChua";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }*@
<style>

    ul, #myUL-addSuCo {
        list-style-type: none;
    }

    #myUL-addSuCo {
        margin: 0;
        padding: 0;
    }

    .create-suco-caret {
        cursor: pointer;
        -webkit-user-select: none; /* Safari 3.1+ */
        -moz-user-select: none; /* Firefox 2+ */
        -ms-user-select: none; /* IE 10+ */
        user-select: none;
    }

        .create-suco-caret:before {
            content: "\25B6";
            color: black;
            display: inline-block;
            margin-right: 6px;
        }

    .caret-down-addsuco::before {
        -ms-transform: rotate(90deg); /* IE 9 */
        -webkit-transform: rotate(90deg); /* Safari */
        ' transform: rotate(90deg);
    }

    .create-suco-nested {
        display: block;
    }

    .active-addsuco {
        display: none;
    }
    /*.tr-create {
        display: table-row;
        vertical-align: inherit;
        border-color: white !important;
    }*/
    .tableborderless-addsuco tr td {
        border: none !important;
    }

    .div-create-suco-new {
        border: 1px solid black;
    }
    .btnDong {
        font-size: 33px;
        width: 20px;
        margin-right: 8px;
        color:red;
    }
</style>
@*<h4>Thông tin sự cố</h4>*@

<div class="create-nhatky-suco">
    <h4>Thông tin sự cố</h4>
    <ul id="myUL-addSuCo">

        @*Thêm mới Nhật Ký*@
        <li>
            <span class="create-suco-caret" style="width:auto">SC-01</span>

            <ul class="create-suco-nested">
                <li>
                    <button type="button" onclick="remove(this)" class="close btnDong" style="opacity: 1 !important" aria-label="Close" @*style="color: #db1c1cf2;"*@ title="đóng">
                        <span @*aria-hidden="true"*@ @*class="close"*@>&times;</span>
                    </button>
                    <div class="div-create-suco-new">
                        <table class="table tableborderless-addsuco">
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.ThoiGianVanHanh, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.ThoiGianVanHanh, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.ChiSoHoaHoc, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.ChiSoHoaHoc, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.HuHongThietBi, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.HuHongThietBi, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.MoTaSuCo, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.MoTaSuCo, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.CachKhacPhuc, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.CachKhacPhuc, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.KetQua, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.KetQua, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.NguoiDeXuat, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.NguoiDeXuat, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>

                            </tr>

                        </table>
                    </div>

                </li>

            </ul>
        </li>



    </ul>

</div>
<script>
    var toggler = document.getElementsByClassName("create-suco-caret");
    var i;

    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.parentElement.querySelector(".create-suco-nested").classList.toggle("active-addsuco");
            this.classList.toggle("caret-down-addsuco");
        });
    }
    function remove(el) {
        debugger;
        var element = el;
        var div = el.closest('div')
        div.remove();
        //element.find("< div");
    }
</script>